Bug 1877978 - %pyproject_buildrequires -x does not work when used repeatedly
Summary: %pyproject_buildrequires -x does not work when used repeatedly
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: pyproject-rpm-macros
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Miro Hrončok
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-09-10 23:26 UTC by Miro Hrončok
Modified: 2021-02-04 13:31 UTC (History)
4 users (show)

Fixed In Version: pyproject-rpm-macros-0-30.fc34 pyproject-rpm-macros-0-30.fc33 pyproject-rpm-macros-0-30.fc32 pyproject-rpm-macros-0-30.fc31 pyproject-rpm-macros-0-37.eln109
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-10-01 15:59:47 UTC
Type: Bug


Attachments (Terms of Use)

Description Miro Hrončok 2020-09-10 23:26:24 UTC
The -x option for %pyproject_buildrequires currently supports multiple comma-separated extras:

    %pyproject_buildrequires -x test,full

It is possible to repeat options when invoking RPM macros, so this seems like a more natural way of doing it:

    %pyproject_buildrequires -x test -x full

The argument parser in pyproject_buildrequires.py currently trows away all but the last -x values. This can be fixed by something like:

    parser.add_argument(
        '-x', ..., action='append', ...
    )

I'd even argue that the comma-separated way of doing this should be replaced by the multiple options approach only.

Comment 1 Petr Viktorin 2020-09-16 12:40:37 UTC
The reasoning for `-x test,full` is that the PEP 508 syntax (used in `pip install`, `setup.py`, etc) is `...[test,full]`.  So, I think the comma-separated list is still useful, in addition to multiple options.

Comment 2 Miro Hrončok 2020-09-16 13:21:52 UTC
OK, let's keep support for both.

Comment 4 Fedora Update System 2020-10-01 15:58:28 UTC
FEDORA-2020-6b747c26e1 has been submitted as an update to Fedora 31. https://bodhi.fedoraproject.org/updates/FEDORA-2020-6b747c26e1

Comment 5 Fedora Update System 2020-10-01 15:58:34 UTC
FEDORA-2020-20741bd099 has been submitted as an update to Fedora 33. https://bodhi.fedoraproject.org/updates/FEDORA-2020-20741bd099

Comment 6 Fedora Update System 2020-10-01 15:58:40 UTC
FEDORA-2020-7d84d3ea99 has been submitted as an update to Fedora 32. https://bodhi.fedoraproject.org/updates/FEDORA-2020-7d84d3ea99

Comment 7 Fedora Update System 2020-10-01 15:59:47 UTC
FEDORA-2020-7b01d713e7 has been pushed to the Fedora 34 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 8 Fedora Update System 2020-10-02 01:48:18 UTC
FEDORA-2020-20741bd099 has been pushed to the Fedora 33 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-20741bd099`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-20741bd099

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 9 Fedora Update System 2020-10-02 01:53:32 UTC
FEDORA-2020-6b747c26e1 has been pushed to the Fedora 31 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-6b747c26e1`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-6b747c26e1

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 10 Fedora Update System 2020-10-02 02:10:57 UTC
FEDORA-2020-7d84d3ea99 has been pushed to the Fedora 32 testing repository.
In short time you'll be able to install the update with the following command:
`sudo dnf upgrade --enablerepo=updates-testing --advisory=FEDORA-2020-7d84d3ea99`
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2020-7d84d3ea99

See also https://fedoraproject.org/wiki/QA:Updates_Testing for more information on how to test updates.

Comment 11 Fedora Update System 2020-10-05 16:34:36 UTC
FEDORA-2020-20741bd099 has been pushed to the Fedora 33 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 12 Fedora Update System 2020-10-09 16:13:52 UTC
FEDORA-2020-7d84d3ea99 has been pushed to the Fedora 32 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 13 Fedora Update System 2020-10-09 16:27:59 UTC
FEDORA-2020-6b747c26e1 has been pushed to the Fedora 31 stable repository.
If problem still persists, please make note of it in this bug report.

Comment 14 Fedora Update System 2021-02-04 13:31:02 UTC
FEDORA-2021-46d1d95820 has been pushed to the Fedora ELN stable repository.
If problem still persists, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.